cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

VPN problem after upgrade from 2.0 to 3.0

Newbie

VPN problem after upgrade from 2.0 to 3.0

Hi,

After we upgraded from 2.0 to 3.0, all users who use VPN, have not been able to connect to work using VPN. This did work “flawless” before the upgrade.

Anyone else been having this problem with 3.0, or have an idea?

Our version:

PTC CREO 3.0 M040

Windchill 10.2 M030

Added som pictures:

9 REPLIES 9

Re: VPN problem after upgrade from 2.0 to 3.0

Yes, we have the exact same issue.  Creo 3 will NOT connect to Windchill over a VPN.  Earlier versions work fine.  We've had a case open for months now.  It's looking like it might have something to do with IPv4 vs. IPv6 binding, but still don't know for sure.  It's isn't as simple as just disabling IPv6.

Re: VPN problem after upgrade from 2.0 to 3.0

Hi Tom and thanks for the quick reply.

For months you say, then it sounds like a very complicated problem, but hopefully there will be an solution shortly, as I work every other week home.

Re: VPN problem after upgrade from 2.0 to 3.0

Stale,

on the second picture Creo Agent is mentioned. Its version is 3.103 in case of Creo 3.0 M040.

My suggestion: Install Creo 3.0 M030 with Creo Agent 3.96 and just test if it is working via VPN. If it works then open Case at PTC Support and report that Creo Agent 3.103 does not work correctly.

Martin Hanak



Martin Hanák

Re: VPN problem after upgrade from 2.0 to 3.0

Hi Martin, and thanks for reply.

I will tell our support technician to test this.

I will keep this post updated, in case anyone else are having this issue.

Stale

Re: VPN problem after upgrade from 2.0 to 3.0

I just tested this VPN issue on Creo3 M040, Creo Platform Agent 3.103 using Chromium embedded browser against Windchill 10.1 M030 and had no issues.

This combination of Creo and Windchill is unsupported by PTC, so still using Creo 2 in production.

Bjarne

Re: VPN problem after upgrade from 2.0 to 3.0

Hi Bjarne

I have forwarded this, thanks alot for the input.

Stale

Re: VPN problem after upgrade from 2.0 to 3.0

We got VPN to work here now.

Using the following:

Creo 3.0 M040

Creo Agent 3.103.0

There was some guy from PTC Support in Norway who helped us, what he did I can not say, but I have tested it from outside our company as it work as it should.

Re: VPN problem after upgrade from 2.0 to 3.0

We too are functional now.  R&D provided a modified DLL (asyncoremt.dll) for Creo 3.0 M040 and Creo Agent 3.103.  Still haven't heard when this will be released to production.

4534426.PNG

By the way, in our case this was not specific to M040.  We have been unable to use Creo 3 with Windchill over a VPN for all the releases (M010 - M040).

Highlighted

Re: VPN problem after upgrade from 2.0 to 3.0